Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.tenbytecloud.com/v1/user-resource/ssh_keys/{uuid} \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "name": "<string>" } '
{ "uuid": "3f8f4c5a-2c6d-4f0a-9a3a-8c9f6e3f1a2b", "name": "personal-laptop", "public_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMockPublicKeyData user@host", "user_id": 268, "created_at": "2025-01-12T09:21:33Z" }
Rename an existing SSH key. Only metadata (name) can be changed.
New human-friendly key name
Updated SSH key
The response is of type object.
object